stages:
    - build
    - test

build:
    stage: build
    script:
        - echo "Building- First Step of assembly line"
        - mkdir build
        - touch build/script.txt
    artifacts:
        paths:
            - build/

test:
    stage: test
    script:
        - echo "Testing- Second Step"
        - test -f "build/script.txt"
        - echo "script found"
